apiVersion: batch/v1beta1
kind: CronJob
metadata:
  name: cleanup-postgres-backups
spec:
  # Cleanup old backups of the database every day at 3AM
  schedule: "0 3 * * *"
  jobTemplate:
    spec:
      template:
        spec:
          containers:
          - name: postgresi-cleanup
            image: busybox 
            command: ["/bin/sh"]
            args: ["-c", 'rm /var/backups/backup-$(date +"%m-%d-%Y-%H-%M").sql']
            volumeMounts:
            - mountPath: /var/backups
              name: postgres-storage
          restartPolicy: Never
          volumes:
          - name: postgres-storage
            hostPath:
            # Ensure the file directory is created.
              path: /dev-rucio-persistent-storage/postgres-db-backups/
              type: DirectoryOrCreate
          nodeSelector:
            kubernetes.io/hostname: k8s-dev-worker-1
